# mypy-boto3-mediaconvert

[![PyPI - mypy-boto3-mediaconvert](https://img.shields.io/pypi/v/mypy-boto3-mediaconvert.svg?color=blue)](https://pypi.org/project/mypy-boto3-mediaconvert)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-mediaconvert.svg?color=blue)](https://pypi.org/project/mypy-boto3-mediaconvert)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)

- [mypy-boto3-mediaconvert](#mypy-boto3-mediaconvert)
  - [How to use](#how-to-use)
  - [Automated type discovery](#automated-type-discovery)


Type annotations for
[boto3.MediaConvert 1.13.24](https://boto3.amazonaws.com/v1/documentation/api/1.13.24/reference/services/mediaconvert.html#MediaConvert) service
compatible with [mypy](https://github.com/python/mypy), [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/) and other tools.

Generated by [mypy-boto3-buider 2.0.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on [boto3-stubs](https://pypi.org/project/boto3-stubs/) page.

- [mypy-boto3-mediaconvert](#mypy-boto3-mediaconvert)
  - [How to use](#how-to-use)
    - [Type checking](#type-checking)
  - [How it works](#how-it-works)

## How to use

Make sure you have [mypy](https://github.com/python/mypy) installed and activated in your IDE.

Install `boto3-stubs` for `MediaConvert` service.

```bash
python -m pip install boto3-stubs[mediaconvert]

# update installed packages index for automated type discovery
python -m mypy_boto3
```

Use `boto3` with `mypy_boto3_mediaconvert` in your project and enjoy type checking and auto-complete.

```python
import boto3

from mypy_boto3_mediaconvert import MediaConvertClient

# Now mypy can check if your code is valid.
client: MediaConvertClient = boto3.client("mediaconvert")

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: MediaConvertClient = session.client("mediaconvert")



# Annotated paginators are included as well

import mypy_boto3_mediaconvert.paginator as mediaconvert_paginators

describe_endpoints_paginator: mediaconvert_paginators.DescribeEndpointsPaginator = client.get_paginator("describe_endpoints")
list_job_templates_paginator: mediaconvert_paginators.ListJobTemplatesPaginator = client.get_paginator("list_job_templates")
list_jobs_paginator: mediaconvert_paginators.ListJobsPaginator = client.get_paginator("list_jobs")
list_presets_paginator: mediaconvert_paginators.ListPresetsPaginator = client.get_paginator("list_presets")
list_queues_paginator: mediaconvert_paginators.ListQueuesPaginator = client.get_paginator("list_queues")
```

## Automated type discovery

`mypy_boto3` package can generate index for `mypy_boto3_mediaconvert` and other installed services.

```bash
# Run this command when you add or remove service packages
python -m mypy_boto3
```

Generated index provides overloads for `boto3.client` and `boto3.service`,
`boto3.Session.client` and `boto3.Session.resource` functions,
so explicit type annotations are not needed.

- `mypy` supports function overloads as expected
- `PyCharm` also supports function overloads, but consumes a lot of RAM, use carefully
- `VSCode` does not currently support function overloads

Also, generated index allows you to import types from `mypy_boto3`:

```python
# you can replace imports
import mypy_boto3_mediaconvert as mediaconvert
from mypy_boto3_mediaconvert import MediaConvertClient

# with these
from mypy_boto3 import mediaconvert
from mypy_boto3.mediaconvert import MediaConvertClient
```